Bug 1473160 - [free-stg][free-int]Router doesn't add X-Forwarded-For header to reencrypt route
[free-stg][free-int]Router doesn't add X-Forwarded-For header to reencrypt route
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Routing (Show other bugs)
3.x
All All
medium Severity medium
: ---
: ---
Assigned To: Miciah Dashiel Butler Masters
zhaozhanqi
: OnlineStarter
Depends On: 1449022
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 03:06 EDT by zhaozhanqi
Modified: 2017-11-09 13:53 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1449022
Environment:
Last Closed: 2017-11-09 13:53:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Origin (Github) 14142 None None None 2017-07-20 03:06 EDT

  None (edit)
Comment 1 Ben Bennett 2017-07-20 11:59:37 EDT
The Online template is out of sync with master.
Comment 2 Abhishek Gupta 2017-09-08 13:24:42 EDT
Starter tier clusters now use the same default router template that ships with OCP. This issue should now be resolved.
Comment 3 zhaozhanqi 2017-09-11 02:55:07 EDT
Found free-int still using the custom template
        - name: TEMPLATE_FILE
          value: /var/lib/haproxy/conf/custom/haproxy-config.template

So please move this bug to ON_QA once it's upgrade, thanks
Comment 4 Miciah Dashiel Butler Masters 2017-09-11 12:46:02 EDT
free-int and free-stg now should have the standard router template.
Comment 5 zhaozhanqi 2017-09-12 02:54:53 EDT
Verified this bug on free-int free-stg env
Comment 6 zhaozhanqi 2017-09-12 04:16:38 EDT
version: free-int (v3.7.0-0.104.0), free-stg(v3.6.173.0.5)

Note You need to log in before you can comment on or make changes to this bug.